Bug 1582280 - RFE: Standard log collection via ceph-ansible
Summary: RFE: Standard log collection via ceph-ansible
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 2.5
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.2
Assignee: Guillaume Abrioux
QA Contact: Vasishta
Ranjini M N
URL:
Whiteboard:
Depends On:
Blocks: 1890121
TreeView+ depends on / blocked
 
Reported: 2018-05-24 17:22 UTC by Tupper Cole
Modified: 2021-06-09 16:16 UTC (History)
10 users (show)

Fixed In Version: ceph-ansible-4.0.29-1.el8cp, ceph-ansible-4.0.29-1.el7cp
Doc Type: Enhancement
Doc Text:
.`ceph-ansible` playbook gathers logs from multiple nodes With this release, the playbook gathers logs from multiple nodes in a large cluster automatically.
Clone Of:
Environment:
Last Closed: 2021-01-12 14:55:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph-ansible pull 2641 0 None closed [skip ci] infra: add a gather-ceph-logs.yml playbook 2021-01-13 09:46:07 UTC
Red Hat Product Errata RHSA-2021:0081 0 None None None 2021-01-12 14:56:15 UTC

Description Tupper Cole 2018-05-24 17:22:03 UTC
Description of problem:
There should be a standard log collection via ceph-ansible like an sosreport (or even just an sosreport) to simplify log collection from multiple hosts in a ceph cluster.

Comment 3 Sébastien Han 2018-10-17 13:52:55 UTC
Present in v3.2.0beta6

Comment 5 Giridhar Ramaraju 2019-08-05 13:10:22 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 6 Giridhar Ramaraju 2019-08-05 13:11:26 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 7 Giridhar Ramaraju 2019-08-20 07:19:47 UTC
Level setting the severity of this defect to "Low" with a bulk update. Pls
refine it to a more closure value, as defined by the severity definition in
https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity

Comment 13 Vasishta 2020-12-02 10:38:05 UTC
Working fine for small log files.
Moving to VERIFIED state.

Comment 17 errata-xmlrpc 2021-01-12 14:55:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Red Hat Ceph Storage 4.2 Security and Bug Fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0081


Note You need to log in before you can comment on or make changes to this bug.